JDK14AdapterLoggerNameTest (SLF4J 1.7.4 Test API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.impl
Class JDK14AdapterLoggerNameTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.slf4j.impl.JDK14AdapterLoggerNameTest

All Implemented Interfaces:
  junit.framework.Test

    public class JDK14AdapterLoggerNameTest

extends junit.framework.TestCase

Constructor Summary
`JDK14AdapterLoggerNameTest()`

Method Summary
`protected void` | `setUp()`
`protected void` | `tearDown()`
`void` | `testLoggerNameusingJdkLogging()`
`void` | `testLoggerNameUsingSlf4j()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDK14AdapterLoggerNameTest

    public JDK14AdapterLoggerNameTest()

Method Detail

### setUp

    protected void setUp()
                  throws Exception

  Overrides:
    `setUp` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### tearDown

    protected void tearDown()
                     throws Exception

  Overrides:
    `tearDown` in class `junit.framework.TestCase`
  Throws:
    `Exception`

### testLoggerNameusingJdkLogging

    public void testLoggerNameusingJdkLogging()
                                       throws Exception

  Throws:
    `Exception`

### testLoggerNameUsingSlf4j

    public void testLoggerNameUsingSlf4j()
                                  throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.